#
# spec file for package libx86emu
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libx86emu
BuildRequires:  xz
Summary:        An x86 emulation library
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Version:        3.7
Release:        1.2
Source:         %{name}-%{version}.tar.xz
Url:            https://github.com/wfeldt/libx86emu
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An x86 emulation library with focus on usage and
execution logging functions.

%package -n     libx86emu3
Summary:        An x86 emulation library
Group:          System/Libraries

%description -n libx86emu3
An x86 emulation library with focus on usage and
execution logging functions.

%package -n     libx86emu-devel
Summary:        Development files for libx86emu
Group:          Development/Libraries/C and C++
Requires:       libx86emu3 = %version

%description -n libx86emu-devel
An x86 emulation library with focus on usage and
execution logging functions.

This package contains the header files for the library API.

%prep
%setup -n libx86emu-%{version}

%build
make LIBDIR=%{_libdir}

%install
install -d -m 755 %{buildroot}%{_libdir}
%make_install LIBDIR=%{_libdir}

%post -n libx86emu3 -p /sbin/ldconfig

%postun -n libx86emu3 -p /sbin/ldconfig

%files -n libx86emu3
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc README.md
%if 0%{?suse_version} >= 1500
%license LICENSE*
%else
%doc LICENSE*
%endif

%files -n libx86emu-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/x86emu.h

%changelog
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#47
- fix building on non-x86 architectures
- 3.7
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#46
- fix a buffer overflow in x86emu_log (bsc#1237557)
- 3.6
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#44
- prim_ops: fix some indentation
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#42
- Fix a bug in R/M 01 decoding
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#41
- fix NEG remark typos
* Thu Jan 18 2024 Dirk Müller <dmueller@suse.com>
- fix build on non-suse distributions
* Thu Nov 18 2021 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#40
- decode extended nop instructions
- 3.5
* Wed Oct 20 2021 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#39
- fix test suite for 32-bit architectures
- 3.4
* Fri Oct  1 2021 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#34
- Migrate CI to GitHub Actions
- 3.3
* Wed Aug 18 2021 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#35
- Fix x86test on musl
- 3.2
* Tue Jan 28 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#28
- update README to explain about library versions
- adjust code to compile with older C standards
- 3.1
* Mon Jan 27 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#27
- rework (i)div and (i)mul instructions
- fix typo
- add (i)div opcode tests
- rework (i)mul instructions to set flags correctly
- add (i)mul tests
- 3.0
* Fri Jan 17 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#17
- Introduce LDFLAGS variable in Makefiles
- test: Link with the development version of the library
- test: Sort tests by name
- Add Travis CI configuration file and a badge in the README
- Travis CI integration
- 2.6
* Fri Jan 17 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#22
- decode: Prepare for SSE support
- ops2: Add SSE instructions
- ops2: Add packed SSE ops
- Minimal SSE support
* Fri Jan 17 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#21
- prim_ops: Fix compiler warning
* Fri Jan 17 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#24
- ops2: Add cpuid support using a new handler
- ops2: Introduce a callback function for MSR access
- Push cpuid msr callback
* Thu Jan 16 2020 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#26
- add '--32' option to demo program to start in 32-bit mode
- 2.5
* Tue Aug 20 2019 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#19
- decode: Fix compiler warning
- 2.4
* Wed Apr 24 2019 snwint@suse.de
- merge gh#wfeldt/libx86emu#15
- include: Fix GCC strict-prototypes warning
- include: Fix 'multiple definition of' linker errors
- Small fixes
- 2.3
* Thu Mar 21 2019 snwint@suse.de
- merge gh#wfeldt/libx86emu#14
- ops2: Add support for conditional move
- ops2: Implement bswap
- Add additional ops2 instructions
- 2.2
* Mon Jan 14 2019 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Thu Aug 30 2018 snwint@suse.de
- merge gh#wfeldt/libx86emu#13
- Fix README.md header typos
- 2.1
* Thu Jul 26 2018 jengelh@inai.de
- Fix RPM groups. Trim bias from descriptions.
* Wed Jul 25 2018 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#12
- fstirlitz: make libx86emu re-entrant
- 2.0
* Fri Apr 27 2018 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#11
- enhance documentation
- update git2log script
- add better description
- 1.14
* Fri Apr 27 2018 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#7
- add a small demo program
- 1.13
* Tue Sep 12 2017 wfeldt@opensuse.org
- merge gh#wfeldt/libx86emu#9
- add proper LICENSE file (containing the actual license) and add
  it consistently to all source files
- 1.12
* Wed Jun 22 2016 snwint@suse.com
- Add tests for retn/retf instructions
- Small compatibility fixes for msvc compiler
- 1.11
* Tue Apr  5 2016 snwint@suse.com
- add tests for rol/ror instructions
- rewrite rol/ror implementation to be more readable and to fix overflow flag setting
- 1.10
* Tue Apr  5 2016 snwint@suse.com
- build on more archs
- 1.9
* Tue Apr  5 2016 snwint@suse.com
- Fixed some small bugs
- Fixed "RET imm" instructions
- 1.8
* Wed Mar 16 2016 snwint@suse.com
- build on more archs
- 1.7
* Tue Oct 13 2015 snwint@suse.com
- Add what's libx86emu useful for
- Add documentation about how the project is sent to the distribution
- Convert README to Markdown
- 1.6
* Mon Mar  2 2015 snwint@suse.com
- avoid using reserved c++ words
- fix typo in Makefile
- fix some compiler warnings
- prepare for obs auto-submission
- add VERSION file back
- 1.5
* Mon Jan 31 2011 snwint@suse.de
- better invalid code detection
- fix instruction log for some instructions
* Thu Sep 23 2010 snwint@suse.de
- create VERSION and changelog from git repo
- log message
- don't use 'i386'
- properly decode all descriptor types
* Wed Jun 10 2009 snwint@suse.de
- avoid that error in future
* Tue Jun  9 2009 coolo@novell.com
- fix typo
* Tue Jun  9 2009 snwint@suse.de
- export only API functions in shared lib
* Wed Apr  8 2009 snwint@suse.de
- upgraded to version 1.0
- align to package conventions
